import qs from 'qs'
/**
 * 角色管理接口
 */
import request from '@/utils/request'
// 角色查询
export function getRoleList(params) {
  return request({
    url: 'role/list',
    method: 'get',
    params
  })
}
// 角色机构树列表
export function getRoleTreeList() {
  return request({
    url: 'role/tree',
    method: 'get'
  })
}
// 根据用户获取角色机构树列表
export function getRoleTreeListByUser(userId) {
  return request({
    url: 'role/treeByUserId',
    method: 'get',
    params: {
      userId: userId
    }
  })
}

// 添加角色机构
export function addRole(params) {
  return request({
    url: 'role/add',
    method: 'post',
    params
  })
}
// 修改角色机构
export function updateRole(params) {
  return request({
    url: 'role/update',
    method: 'post',
    params
  })
}
// 删除角色机构
export function delRole(id) {
  return request({
    url: 'role/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}

// 功能授权
export function funcAuthor(roleId, ids) {
  return request({
    url: 'role/funcAuthor',
    method: 'post',
    params: {
      roleId: roleId,
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
// 数据授权
export function dataAuthor(roleId, ids) {
  return request({
    url: 'role/dataAuthor',
    method: 'post',
    params: {
      roleId: roleId,
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
